- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgUtx::TestContext Class Reference

TestContext wraps up information which is passed to tests as they are run, and may contain test-specific information or 'global' test objects, such as an output stream for verbose output during the running of tests. More...

List of all members.

## Public Types
enum | TraceLevel { Off, Results, Full }
## Public Member Functions
| TestContext ()
bool | shouldStop ()
bool | isVerbose ()
void | setTraceLevel (TraceLevel tl)
TraceLevel | getTraceLevel () const
std::ostream & | tout (TraceLevel tl=Full) const

## Detailed Description

TestContext wraps up information which is passed to tests as they are run, and may contain test-specific information or 'global' test objects, such as an output stream for verbose output during the running of tests.

Todo:
  Improve the output stream code by providing a filtering stream.

## Member Enumeration Documentation

enum osgUtx::TestContext::TraceLevel

  | Enumerator:
  Off | All tracing turned off.
  Results | Output results only.
  Full | Full test diagnostic output.

## Constructor & Destructor Documentation

osgUtx::TestContext::TestContext | ( |  | ) |

## Member Function Documentation

TestContext::TraceLevel osgUtx::TestContext::getTraceLevel | ( |  | ) | const

bool osgUtx::TestContext::isVerbose | ( |  | ) | `[inline]`

void osgUtx::TestContext::setTraceLevel | ( | TraceLevel | tl | ) |

bool osgUtx::TestContext::shouldStop | ( |  | ) | `[inline]`

std::ostream & osgUtx::TestContext::tout | ( | TraceLevel | tl = `Full` | ) | const

The documentation for this class was generated from the following files:

- UnitTestFramework
- UnitTestFramework.cpp